<?php

require_once 'base/EstruturahEntityBase.php';

/**
 * EstruturahEntity.
 *
 * @package Entity
 * @author  alessandrobartels - 06/06/2011
 *
 */
class EstruturahEntity extends EstruturahEntityBase
{


    const IDTIPOINSCRICAO_CNPJ = 'CNPJ';
    const IDTIPOINSCRICAO_CEI = 'CEI';
    const IDTIPOINSCRICAO_CPF = 'CPF';

    /**
     * @param $nrOrg
     * @param $nrEstruturam
     * @param $nrParceiro
     * @param $mesCompetencia
     * @param $nmRazaoSocial
     * @param $cdCPNJ
     * @param $cdCEI
     * @param $cdNatJuridica
     * @param $cdCNAE
     * @param $nrCAGED
     * @param $cdFPAS
     * @param $nrCalendario
     * @return void
     * @author alessandrobartels - 14/09/2012
     */
    public function criarEstruturaHistorico(
        $nrOrg, $nrEstruturam, $nrParceiro, $mesCompetencia, $nmRazaoSocial, $cdCPNJ, $cdCEI, $cdCNAE,
        $nrCAGED, $nrCalendario
    ){

        $estruturaH = new self();

        $estruturaH->setNrorg($nrOrg);
        $estruturaH->setNrestruturam($nrEstruturam);
        $estruturaH->setNrparcnegocio($nrParceiro);
        $estruturaH->setDtmescompetenc($mesCompetencia);
        $estruturaH->setNmrazsocestrut($nmRazaoSocial);
        $estruturaH->setCdcnpjestrut($cdCPNJ);
        $estruturaH->setCdceiestrut($cdCEI);
        //$estruturaH->setCdnatujuri($cdNatJuridica);
        $estruturaH->setCdcnae($cdCNAE);
        $estruturaH->setNrcaged($nrCAGED);
        //$estruturaH->setCdfpas($cdFPAS);
        $estruturaH->setNrcalendario($nrCalendario);

        $estruturaH->persist();

        unset($estruturaH);

    }

    public function setEstruturaHistorico($nrorg, $nrestruturam, $cnpj, $nmrazsoc, $nmestruturah, $nmfantasia,
                                             $nrcalendario, $dtmescompetenc, $nrparcnegocio, $cdcnae, $cdnatujuri,
                                             $cdfpas, $cdceiestrut, $idtipoempr, $cdsindical = null, $idoptsimples = 'N'
    ) {
        $this->setNrorg($nrorg);
        $this->setNrestruturam($nrestruturam);
        $this->setCdcnpjestrut($cnpj);
        $this->setNmrazsocestrut($nmrazsoc);
        $this->setNmestruturah($nmestruturah);
        $this->setNmfantasia($nmfantasia);
        $this->setNrcalendario($nrcalendario);
        $this->setDtmescompetenc($dtmescompetenc);
        $this->setNrparcnegocio($nrparcnegocio);
//        $this->setNrcaged($nrcaged);
        $this->setCdcnae($cdcnae);
        $this->setCdceiestrut($cdceiestrut);
        $this->setCdfpas(substr($cdfpas, 0, 3));
        // @autor jorgefonseca Enquanto a PK for composta nao sera possivel.
        //if ($cdnatujuri) $this->setCdnatujuri($cdnatujuri);
//        $this->setCdemprcaixa($cdemprcaixa);
        $this->setIdoptsimples($idoptsimples);
        $this->setIdtipoempr($idtipoempr);
        $this->setCdsindical($cdsindical);
    }


    public function retornaEstruturaHistoricoPorInscricao($nrOrg, $nrInscricao, $idTipoInscricao){

        $resultado = Estruturah::retornaEstruturaHistoricoPorInscricao($nrOrg, $nrInscricao, $idTipoInscricao);
        return $resultado;

    }

    //@TODO olhar a possibilidade de criar um logic.
    public static function returnWorkStructureFromOrgAndCompetenceDate($nrOrg, $dtCompetence){

        $result = Estruturah :: returnWorkStructureFromOrgAndCompetenceDate($nrOrg, $dtCompetence);

        if(is_object($result)){
            return $result->getNrestruturam();
        }else{
            return FALSE;
        }

    }
}