/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_PRODINTDOS                                               */
/* Tabela : PRODINTDOS                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_PRODINTDOS' and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_PRODINTDOS
GO

CREATE TRIGGER DTULTATU_PRODINTDOS
ON PRODINTDOS
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'PRODINTDOS', null, 'CDPRODUTO='   + CDPRODUTO   + ';'+
                                         'CDPRODINTDOS='+ CDPRODINTDOS+ ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE PRODINTDOS
      SET DTULTATUPDOS = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(PRODINTDOS.CDPRODUTO,0) = ISNULL(INSERTED.CDPRODUTO,0));
   END;
END;
GO

